## LinkChecker-6.5.tar.bz2

=== Makefile ===
# This Makefile is only used by developers.
PYVER:=2.6
PYTHON:=python$(PYVER)
VERSION:=$(shell $(PYTHON) setup.py --version)
MACHINE:=$(shell uname -m)
HOST:=www.debian.org
LCOPTS:=-Ftext -Fhtml -Fgml -Fsql -Fcsv -Fxml -Fgxml -Fdot --complete -r1 -C
PYTHONSRC:=/home/calvin/src/python27-gitsvn/Lib
#PYTHONSRC:=/usr/lib/python2.6
PY_FILES_DIRS:=linkcheck tests *.py linkchecker cgi-bin config doc
TESTS ?= tests/
# set test options, eg. to "--nologcapture"
TESTOPTS=
PAGER ?= less
# build dir for debian package
BUILDDIR:=$(HOME)/packages/official
DEB_ORIG_TARGET:=$(BUILDDIR)/linkchecker_$(VERSION).orig.tar.bz2
# original dnspython repository module
DNSPYTHON:=$(HOME)/src/dnspython-git/dns
# options to run the pep8 utility
PEP8OPTS:=--repeat --ignore=E211,E501,E225,E301,E302,E241 \
   --exclude="dns,gzip2.py,httplib2.py,robotparser2.py,reindent.py"


.PHONY: all
all:
	@echo "Read the file doc/install.txt to see how to build and install this package."

.PHONY: clean
clean:
	-$(PYTHON) setup.py clean --all
	rm -f linkchecker-out.* *-stamp*
	$(MAKE) -C po clean
	$(MAKE) -C doc/html clean
	$(MAKE) -C linkcheck/HtmlParser clean
	rm -f linkcheck/network/_network.so
	find . -name '*.py[co]' -exec rm -f {} \;

.PHONY: distclean
distclean: clean cleandeb
	rm -rf build dist linkchecker.egg-info
	rm -f _LinkChecker_configdata.py MANIFEST Packages.gz
# clean aborted dist builds and -out files
	rm -f linkchecker-out* linkchecker.prof
	rm -rf LinkChecker-$(VERSION)
	rm -rf coverage dist-stamp python-build-stamp*

.PHONY: cleandeb
cleandeb:
	rm -rf debian/linkchecker debian/tmp
	rm -f debian/*.debhelper debian/{files,substvars}
	rm -f configure-stamp build-stamp

MANIFEST: MANIFEST.in setup.py
	$(PYTHON) setup.py sdist --manifest-only

.PHONY: locale
locale:
	$(MAKE) -C po

# to build in the current directory
.PHONY: localbuild
localbuild: MANIFEST
	$(MAKE) -C doc/html
	$(MAKE) -C linkcheck/HtmlParser
	$(PYTHON) setup.py build
	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/HtmlParser/htmlsax.so linkcheck/HtmlParser
	cp -f build/lib.linux-$(MACHINE)-$(PYVER)/linkcheck/network/_network.so linkcheck/network

.PHONY: deb_orig
deb_orig:
	if [ ! -e $(DEB_ORIG_TARGET) ]; then \
	  $(MAKE) dist-stamp && \
	  cp dist/LinkChecker-$(VERSION).tar.bz2 $(DEB_ORIG_TARGET); \
	fi

.PHONY: upload
upload:
	rsync -avP -e ssh dist/* calvin,linkchecker@frs.sourceforge.net:/home/frs/project/l/li/linkchecker/$(VERSION)/


.PHONY: release
release: distclean releasecheck dist-stamp sign_distfiles upload
	@echo "Updating LinkChecker Homepage..."
	sed -i -e "s/version = '.*'/version = '$(VERSION)'/" ~/public_html/linkchecker.sf.net/source/conf.py
	$(MAKE) -C ~/public_html/linkchecker.sf.net update upload
	@echo "Register at Python Package Index..."
	$(PYTHON) setup.py register
	wget -O - http://pypants.org/projects/linkchecker/update/ > /dev/null
	freshmeat-submit < linkchecker.freshmeat

.PHONY: chmod
chmod:
	-chmod -R a+rX,u+w,go-w -- *
	find . -type d -exec chmod 755 {} \;

.PHONY: dist
dist: locale MANIFEST chmod
	$(PYTHON) setup.py sdist --formats=bztar
# no rpm buildable with bdist_rpm, presumable due to this bug:
# https://bugzilla.redhat.com/show_bug.cgi?id=236535
# too uninvolved to fix it

dist-stamp: changelog
	$(MAKE) dist
	touch $@

# The check programs used here are mostly local scripts on my private system.
# So for other developers there is no need to execute this target.
.PHONY: check
check:
	[ ! -d .svn ] || check-nosvneolstyle -v
	check-copyright
	check-pofiles -v
	py-tabdaddy
	py-unittest2-compat tests/
	$(MAKE) doccheck
	$(MAKE) pyflakes

doccheck:
	py-check-docstrings --force linkcheck/HtmlParser linkcheck/checker \
	  linkcheck/cache linkcheck/configuration linkcheck/director \
	  linkcheck/htmlutil linkcheck/logger linkcheck/network \
	  linkcheck/bookmarks \
	  linkcheck/gui/__init__.py \
	  linkcheck/gui/checker.py \
	  linkcheck/gui/contextmenu.py \
	  linkcheck/gui/debug.py \
	  linkcheck/gui/editor.py \
	  linkcheck/gui/lineedit.py \
	  linkcheck/gui/help.py \
	  linkcheck/gui/logger.py \
	  linkcheck/gui/options.py \
	  linkcheck/gui/progress.py \
	  linkcheck/gui/properties.py \
	  linkcheck/gui/settings.py \
	  linkcheck/gui/statistics.py \
	  linkcheck/gui/updater.py \
	  linkcheck/gui/urlmodel.py \
	  linkcheck/gui/urlsave.py \
	  linkcheck/__init__.py \
	  linkcheck/ansicolor.py \
	  linkcheck/clamav.py \
	  linkcheck/containers.py \
	  linkcheck/cookies.py \
	  linkcheck/decorators.py \
	  linkcheck/dummy.py \
	  linkcheck/fileutil.py \
	  linkcheck/ftpparse.py \
	  linkcheck/geoip.py \
	  linkcheck/httputil.py \
	  linkcheck/i18n.py \
	  linkcheck/lc_cgi.py \
	  linkcheck/lock.py \
	  linkcheck/log.py \
	  linkcheck/mem.py \
	  linkcheck/robotparser2.py \
	  linkcheck/socketutil.py \
	  linkcheck/strformat.py \
	  linkcheck/threader.py \
	  linkcheck/trace.py \
	  linkcheck/updater.py \
	  linkcheck/url.py \
	  linkcheck/winutil.py \
	  *.py

filescheck:
	-./linkchecker $(LCOPTS) http://$(HOST)/

update-copyright:
	update-copyright --holder="Bastian Kleineidam"

.PHONY: releasecheck
releasecheck: check
	@if egrep -i "xx\.|xxxx|\.xx" doc/changelog.txt > /dev/null; then \
	  echo "Could not release: edit doc/changelog.txt release date"; false; \
	fi
	@if ! grep "Version: $(VERSION)" linkchecker.freshmeat > /dev/null; then \
	  echo "Could not release: edit linkchecker.freshmeat version"; false; \
	fi
#	$(MAKE) -C doc test

.PHONY: sign_distfiles
sign_distfiles:
	for f in $(shell find dist -name *.bz2 -o -name *.exe -o -name *.zip); do \
	  [ ! -f $${f}.asc ] && gpg --detach-sign --armor $$f; \
	done

.PHONY: test
test:	localbuild
	$(PYTHON) /usr/bin/nosetests -v -m "^test_.*" $(TESTOPTS) $(TESTS)

.PHONY: pyflakes
pyflakes:
	pyflakes --force $(PY_FILES_DIRS) 2>&1 | \
          grep -v "redefinition of unused 'linkcheck'" | \
          grep -v "undefined name '_'" | \
	  grep -v "undefined name '_n'" | cat

.PHONY: pep8
pep8:
	pep8 $(PEP8OPTS) $(PY_FILES_DIRS)

.PHONY: reindent
reindent:
	$(PYTHON) config/reindent.py -r -v linkcheck

# Compare custom Python files with the original ones from subversion.
.PHONY: diff
diff:
	@for f in gzip robotparser httplib; do \
	  echo "Comparing $${f}.py"; \
	  diff -u linkcheck/$${f}2.py $(PYTHONSRC)/$${f}.py | $(PAGER); \
	done

.PHONY: dnsdiff
dnsdiff:
	diff -BurN --exclude=changelog.txt linkcheck/dns $(DNSPYTHON) | $(PAGER)

.PHONY: changelog
changelog:
	sftrack_changelog linkchecker calvin@users.sourceforge.net doc/changelog.txt

.PHONY: gui
gui:
	$(MAKE) -C linkcheck/gui

=== doc/Makefile ===
HTMLDIR:=$(HOME)/public_html/linkchecker.sf.net/source

all:

po4a:
	po4a --localized-charset=UTF-8 po4a.conf

man:
	man2html -r en/linkchecker.1 | tail -n +2 > $(HTMLDIR)/man1/linkchecker.1.html
	man2html -r en/linkcheckerrc.5 | tail -n +2 > $(HTMLDIR)/man5/linkcheckerrc.5.html
	man2html -r en/linkchecker-gui.1 | tail -n +2 > $(HTMLDIR)/man1/linkchecker-gui.1.html

.PHONY: po4a man

=== po/Makefile ===
XGETTEXT := xgettext
MSGFMT := msgfmt
MSGMERGE := msgmerge
POSOURCES = $(shell find ../linkcheck -name \*.py) \
	../linkchecker /usr/lib/python2.6/optparse.py
LDIR = ../share/locale
PACKAGE = linkchecker
TEMPLATE = $(PACKAGE).pot
MYMAIL := calvin@users.sourceforge.net
LFILE = LC_MESSAGES/$(PACKAGE).mo
# defined language (add new languages here)
LANGUAGES = de fr es

all:

mofiles:
	@for la in $(LANGUAGES); do \
	  if [ ! -d $(LDIR)/$$la/LC_MESSAGES ]; then \
	    mkdir -p $(LDIR)/$$la/LC_MESSAGES; \
	  fi; \
	  echo "Formatting language catalog $${la}:"; \
	  $(MSGFMT) -c --statistics -o $(LDIR)/$$la/$(LFILE) $$la.po; \
	done

%.po:	$(TEMPLATE)
	$(MSGMERGE) -U --suffix=.bak $@ $<

template: $(TEMPLATE)
$(TEMPLATE): $(POSOURCES)
	$(XGETTEXT) -w 80 --default-domain=$(PACKAGE) --language=Python \
	  --copyright-holder="Bastian Kleineidam <$(MYMAIL)>" \
	  --msgid-bugs-address=$(MYMAIL) -o $(TEMPLATE) \
	  --keyword=_n:1,2 $(POSOURCES)

%.mo:	%.po
	if [ ! -d $(LDIR)/$*/LC_MESSAGES ]; then \
	  mkdir -p $(LDIR)/$*/LC_MESSAGES; \
	fi
	$(MSGFMT) -c --statistics -o $(LDIR)/$*/$(LFILE) $<

clean:
	@for f in $(LANGUAGES); do rm -f $(LDIR)/$$f/$(LFILE); done
	rm -f *.mo *.bak

.PHONY: mofiles clean

=== doc/html/Makefile ===
HELPFILES = lccollection.qhc
HTMLFILES = index.html options.html

all:	$(HELPFILES) $(HTMLFILES)

.PHONY: clean
clean:
	-rm -f *.qhc *.qch

%.html:	%.txt html.header html.footer
	(cat html.header; markdown2 $<; cat html.footer) > $@

.PHONY: clean
test:
	xmllint --valid --noout $(HTMLFILES)

%.qhc:	%.qhcp lcdoc.qhp $(HTMLFILES)
	qcollectiongenerator $< -o $@

favicon.ico:	favicon32x32.png favicon16x16.png
	png2ico favicon.ico favicon32x32.png favicon16x16.png

=== linkcheck/HtmlParser/Makefile ===
# this parser needs flex >= 2.5.xx from http://lex.sf.net/
# for reentrant bison parser support
FLEX = flex
PYINCLUDE=-I/usr/include/python2.6
#PYINCLUDE="-I/home/calvin/src/python-gitsvn -I/home/calvin/src/python-gitsvn/Include"

all: htmllex.c htmlparse.c

htmlsax.so: htmllex.o htmlparse.o s_util.o
	gcc -pthread -shared $^ -o htmlsax.so

%.o:	%.c
	gcc -g -std=c99 -O3 -Wall -pedantic -Wstrict-prototypes -fPIC -I. $(PYINCLUDE) -c $< -o $@

htmlparse.h htmlparse.c:	htmlparse.y htmlsax.h
	bison htmlparse.y

htmllex.l:	htmlparse.h

htmllex.c:	htmllex.l htmlsax.h
	$(FLEX) htmllex.l
	awk -f fixincludes.awk htmllex.c > htmllex.c.fixed; mv -f htmllex.c.fixed htmllex.c

clean:
	rm -f *.o *.so *.pyc *.pyo *.output

distclean: clean
	rm -f htmlparse.c htmlparse.h htmllex.c

=== linkcheck/gui/Makefile ===
# generate Python files from UI description

# edit ui/*.ui files with designer (ie. /usr/bin/designer-qt4)
UI_FILES = linkchecker_ui_main.py \
	linkchecker_ui_options.py \
	linkchecker_ui_progress.py \
	linkchecker_ui_debug.py \
	linkchecker_ui_editor.py
RC_FILES = linkchecker_rc.py


all: $(UI_FILES) $(RC_FILES)

linkchecker_ui_%.py: ui/%.ui
	pyuic4 -o $@ $<
# replace the Qt translator with the one LinkChecker uses
	sed -i -r -e 's/QtGui\.QApplication\.translate\("[^"]+", "([^"]+)", None, QtGui\.QApplication\.UnicodeUTF8\)/_("\1")/g' $@

linkchecker_rc.py: rc/linkchecker.qrc
	pyrcc4 -o $@ $<

clean:
	rm -f *.pyc *.pyo

=== linkcheck/gui/rc/Makefile ===
# refresh media files

# base directory of oxygen icon set checkout
OXYGEN = $(HOME)/src/oxygen-gitsvn/16x16
#CRYSTAL = $(HOME)/src/crystal_project

ICONS = \
	cancel.png \
	online.png \
	options.png \
	preferences.png \
	save.png \
	start.png \
	stop.png \
	about.png \
	help.png \
	exit.png \
	copy.png \
	clear.png

all: $(ICONS)

#app.png:	$(CRYSTAL)/16x16/apps/agt_web.png
#	cp $< $@

save.png:	$(OXYGEN)/actions/document-save-as.png
	cp $< $@

start.png:	$(OXYGEN)/actions/media-playback-start.png
	cp $< $@

stop.png:	$(OXYGEN)/actions/media-playback-stop.png
	cp $< $@

cancel.png:	$(OXYGEN)/actions/process-stop.png
	cp $< $@

about.png:	$(OXYGEN)/actions/help-about.png
	cp $< $@

help.png:	$(OXYGEN)/actions/help-contents.png
	cp $< $@

exit.png:	$(OXYGEN)/actions/application-exit.png
	cp $< $@

copy.png:	$(OXYGEN)/actions/edit-copy.png
	cp $< $@

online.png:	$(OXYGEN)/actions/document-open-remote.png
	cp $< $@

options.png:	$(OXYGEN)/categories/preferences-system-network.png
	cp $< $@

preferences.png:	$(OXYGEN)/categories/preferences-other.png
	cp $< $@

clear.png:	$(OXYGEN)/actions/edit-clear-locationbar-rtl.png
	cp $< $@

clean:
	rm -f *.png

=== debian/changelog ===
linkchecker (6.5-1) unstable; urgency=low

  * New upstream release.
  * Fix debian/watch regex.
  * Replaced cdbs with dh.
  * Use dh_python2 instead of dh_pycentral. (Closes: #616875)
  * Reload Apache configuration on postinstall since the configuration
    file /etc/apache2/conf.d/linkchecker has been installed.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 07 Mar 2011 18:38:45 +0100

linkchecker (6.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 08 Feb 2011 21:28:01 +0100

linkchecker (6.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 09 Jan 2011 10:50:20 -0600

linkchecker (6.2-1) unstable; urgency=low

  * New upstream release.
  * Add python-qscintilla2 to dependencies.
    (Closes: #609061)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 28 Dec 2010 17:18:50 +0100

linkchecker (6.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 19 Dec 2010 17:16:01 +0100

linkchecker (6.0-1) unstable; urgency=low

  * New upstream release.
    + Requires Python >= 2.6
    + Removes deprecated options --no-anchor-caching and
      --no-proxy-for.
    + Removes backwards compatilibity parsing and require the new
      multiline configuration syntax.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 21 Nov 2010 11:37:56 +0100

linkchecker (5.5-1) unstable; urgency=low

  * New upstream release.
  * Depend on PyQt >= 4.5.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 26 Oct 2010 16:21:09 +0200

linkchecker (5.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 30 Sep 2010 07:43:40 +0200

linkchecker (5.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 29 Sep 2010 21:10:23 +0200

linkchecker (5.2-2) unstable; urgency=low

  * Updated debian/*.install files for new default Python version
    (Closes: #587219)
  * Remove generated files in debian/rules clean target
  * Use new 3.0 Debian source format
  * Use new standards version 3.9.0 in debian/control

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 22 Jul 2010 19:35:06 +0200

linkchecker (5.2-1) unstable; urgency=low

  * New upstream release.
  * Does not install msgfmt.py anymore, since it has been moved out
    of the linkcheck package.
    (Closes: #555414)
  * Standards version 3.8.4.
  * Use new 3.0 (quilt) source package format.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 08 Mar 2010 09:26:02 +0100

linkchecker (5.1-2) unstable; urgency=low

  * Added dependency on QT sqlite database package for linkchecker-gui
    (Closes: #568773)
  * Added build-dependency on python-all-dev instead of just python-dev.
    (Closes: #569451)
  * New Standards version 3.8.3

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 15 Feb 2010 23:38:59 +0100

linkchecker (5.1-1) unstable; urgency=low

  * New upstream release.
    + Uses correct directory in apache configuration
      (Closes: #519646)
    + Uses ScriptAlias in the Apache config
      (Closes: #535497)
  * Use Debian Standards version 3.8.2.0; no packaging changes required.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Aug 2009 08:05:40 +0200

linkchecker (5.0.1-2) unstable; urgency=medium

  * Let the binary target depend on install targets in debian/rules.
    Workaround for bug #486848 of cdbs.
    Urgency medium for rc bug fix.
    (Closes: #526572)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 21 Jun 2009 10:27:47 +0200

linkchecker (5.0.1-1) unstable; urgency=low

  * New upstream release.
    + Fixes bashism in example script (Closes: #489629)
    + Stops immediately after hitting Ctrl-C twice (Closes: #476623)
    + Handles persistent connections correct (Closes: #512358)
  * Standards version 3.8.0
  * Use default python version to build packages, avoiding the
    version-specific hash-bang line in commandline scripts
    (Closes: #480395)

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 01 Feb 2009 11:16:41 +0100

linkchecker (4.9-1) unstable; urgency=low

  * New upstream release.
  * Use debhelper v6
  * Double Ctrl-C quits without cleanup (Closes: #476623)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 14 Mar 2008 12:23:45 +0100

linkchecker (4.8-1) unstable; urgency=low

  * New upstream release.
    + Prevent double encoding in HTML info output (Closes: #446918)
  * Add Homepage: field to control info.
  * Standards version 3.7.3
  * Remove empty lintian overrides directory from package
  * Rename debian/NEWS.Debian to debian/NEWS, which actually installs
    this file as NEWS.Debian :/

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 16 Oct 2007 20:00:25 +0200

linkchecker (4.7-2) unstable; urgency=low

  * On some installations old files are lingering around after purging
    in /usr/lib/python2.4/site-packages/linkcheck/. Postrm will remove
    them forcefully now.
    (Closes: #429580)

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 19 Jun 2007 16:57:03 +0200

linkchecker (4.7-1) unstable; urgency=low

  * New upstream release.
    + Documentation mentions that --anchors enables logging of warnings
      (Closes: #411414)

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 19 Feb 2007 20:22:47 +0100

linkchecker (4.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 17 Nov 2006 21:17:30 +0100

linkchecker (4.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sat, 16 Sep 2006 12:08:36 +0200

linkchecker (4.4-1) unstable; urgency=low

  * New upstream release (Closes: #385956)

 -- Bastian Kleineidam <calvin@debian.org>  Mon,  4 Sep 2006 22:00:50 +0200

linkchecker (4.3-1) unstable; urgency=low

  * New upstream release.
    + adds more recursion levels in CGI script (Closes: #381445)
  * Remove old config file on purge, generated by previous updates


=== debian/control ===
Source: linkchecker
Section: web
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: python-all-dev (>= 2.6.6-3), debhelper (>= 7.0.50), gettext,
 qt4-dev-tools
X-Python-Version: >= 2.6
Standards-Version: 3.9.1
Homepage: http://linkchecker.sourceforge.net/

Package: linkchecker
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${python:Provides}
Suggests: apache2 | httpd, python-optcomplete (>= 1.2-5),
 python-geoip (>= 1.2.1-2), clamav-daemon, python-utidylib,
 python-cssutils, python-pysqlite2, python-twill, python-gconf
Description: check websites and HTML documents for broken links
 Provides a command line program and web interface to check links
 of websites and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o output in colored or normal text, HTML, SQL, CSV, XML or a sitemap
    graph in different formats
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o restrict link checking with regular expression filters for URLs
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o Cookie support
  o i18n support
  o HTML and CSS syntax check
  o Antivirus check
 Users preferring a graphical interface can install the linkchecker-gui
 package.

Package: linkchecker-gui
Priority: extra
Architecture: all
Depends: linkchecker, python-qt4 (>= 4.5), libqt4-sql-sqlite,
 ${python:Depends}, ${misc:Depends}, python-qscintilla2
Description: check websites and HTML documents for broken links (GUI client)
 Provides a graphical interface "linkchecker-gui" to check links of websites
 and HTML documents.
 Features:
  o recursive checking
  o multithreaded
  o HTTP/1.1, HTTPS, FTP, mailto:, news:, nntp:, Telnet and local file
    links support
  o proxy support
  o username/password authorization for HTTP, FTP and Telnet
  o robots.txt exclusion protocol support
  o i18n support

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_configure:
# make sure docs are generated and the manifest is built
	$(MAKE) locale
	$(MAKE) -C doc/html all
	python setup.py sdist --manifest-only

override_dh_auto_build:
# force usage of setup.py over Makefile
	dh_auto_build --buildsystem python_distutils

override_dh_installchangelogs:
# install custom changelog
	dh_installchangelogs doc/changelog.txt


ROOTDIR=$(CURDIR)/debian/linkchecker
DOCDIR=$(ROOTDIR)/usr/share/doc/linkchecker
SHAREDIR=$(ROOTDIR)/usr/share/linkchecker
HTMLDIR=$(SHAREDIR)/lconline
CGIDIR=$(ROOTDIR)/usr/lib/cgi-bin
LOCALEDIR=$(ROOTDIR)/usr/share/locale
ETCDIR=$(ROOTDIR)/etc

override_dh_auto_install:
	dh_auto_install --buildsystem python_distutils
# install system wide configuration files in etc
	install -m 644 config/linkcheckerrc $(ETCDIR)/linkchecker/
	install -m 644 config/logging.conf $(ETCDIR)/linkchecker/
# install CGI files
	install -m 644 cgi-bin/lconline/*.html $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.de $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.en $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.js $(HTMLDIR)
	install -m 644 cgi-bin/lconline/*.css $(HTMLDIR)
	install -m 755 cgi-bin/lc.cgi $(CGIDIR)
# install bash_completion script
	install -m 644 config/linkchecker-completion $(ETCDIR)/bash_completion.d
# install .mo files
	install -m 644 build/share/locale/de/LC_MESSAGES/LinkChecker.mo $(LOCALEDIR)/de/LC_MESSAGES/
# apache configuration
	install -m 644 config/linkchecker.apache2.conf $(ETCDIR)/apache2/conf.d/linkchecker

# clean generated files
override_dh_clean:
	dh_clean doc/html/*.qch doc/html/*.qhc _LinkChecker_configdata.py

# do not run test suite when building
override_dh_auto_test:
